---
title: Accept-CH-Lifetime
slug: Web/HTTP/Headers/Accept-CH-Lifetime
tags:
  - Client hints
  - HTTP
  - header
---
<div>{{HTTPSidebar}}{{securecontext_header}}{{SeeCompatTable}}</div>

<p>The <code><strong>Accept-CH-Lifetime</strong></code> header is set by the server to specify the persistence of {{HTTPHeader("Accept-CH")}} header value that specifies for which <a href="/en-US/docs/Glossary/Client_hints">Client Hints</a> headers client should include in subsequent requests.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>?</td>
  </tr>
 </tbody>
</table>

<div class="notecard note">
<p><strong>Note:</strong> Client Hints are accessible only on secure origins (via TLS). Accept-CH and Accept-CH-Lifetime headers should be persisted for all secure requests to ensure Client Hints are sent reliably.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Accept-CH-Lifetime: &lt;age&gt;
</pre>

<h2 id="Examples">Examples</h2>

<pre>Accept-CH: Viewport-Width
Accept-CH-Lifetime: 86400
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Accept-CH-Lifetime")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Accept-CH")}}</li>
 <li>{{HTTPHeader("Vary")}}</li>
</ul>
